Module java.corba

# Package org.omg.CORBA.TypeCodePackage

Provides the user-defined exceptions `BadKind` and `Bounds`, which are thrown by methods in in the class `TypeCode`.

See: Description

Class Summary
BadKindHelper: This Helper class is used to facilitate the marshalling of `TypeCodePackage/BadKind`.
BoundsHelper: This Helper class is used to facilitate the marshalling of `TypeCodePackage/Bounds`.

Exception Summary
BadKind: The exception `BadKind` is thrown when an inappropriate operation is invoked on a `TypeCode` object.
Bounds: Provides the `TypeCode` operations `member_name()`, `member_type()`, and `member_label`.

## Package org.omg.CORBA.TypeCodePackage Description

Provides the user-defined exceptions `BadKind` and `Bounds`, which are thrown by methods in in the class `TypeCode`.

## Related Documentation

For an overview, please see:

- comments on the `CORBA` package

Since:
  JDK1.2